package com.sqx.modules.app.dao;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.app.entity.UserMoneyDetails;
import com.sqx.modules.bl.collect.entity.CollectMassage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface UserMoneyDetailsDao extends BaseMapper<UserMoneyDetails> {
    Double monthIncome(@Param("date") String date,@Param("userId") Long userId);
    Double selectMyProfit(Long userId);

    BigDecimal selectSumRefund(Long userId,String startTime,String endTime);

    int insert(UserMoneyDetails userMoneyDetails);

    IPage<UserMoneyDetails> findUserMontyDetailPage(Page<UserMoneyDetails> page, @Param("userId") Long userId);

    List<UserMoneyDetails> selectArtificerQianbao(Long userId, String startTime, String endTime);

    BigDecimal selectArtificerMoney(Long userId,String startTime,String endTime);
}
